Type to search.

Update the Entity Store

Base URL
https://{kibana_url}
  • PUT /api/security/entity_store
  • PUT /s/{space_id}/api/security/entity_store
Auth

Update the Entity Store configuration without reinstalling. Send logExtraction to change log extraction settings. Omitting a log extraction field leaves it unchanged. Sending null for a log extraction field clears that override and reverts to the entity type default (for frequency: 1m for host and user, 10m for service, 30m for generic). Send historySnapshot.frequency to change the snapshot interval (at least 1 hour) and historySnapshot.retentionDays to change how long snapshots are kept. Omitting either history snapshot field leaves it unchanged. At least one of logExtraction, excludedUserNames or historySnapshot is required.

Required privileges

Privileges securitySolution

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

excludedUserNames string[] · max items: 200

Responses

200

Indicates a successful response.

application/json
400

Bad request.

application/json
404

Entity Store not found.

application/json